Package org.eclipse.emf.cdo.spi.server

# Interface InternalTopic

All Superinterfaces:
  `org.eclipse.net4j.util.container.IContainer<ISession>`, `org.eclipse.net4j.util.event.INotifier`, `ITopic`

public interface InternalTopic extends ITopic

Since:
  4.17
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`InternalSession[]`
`addSession(InternalSession session)`
`boolean`
`containsSession(InternalSession session)`
`InternalTopicManager`
`getManager()`
`InternalSession[]`
`getSessions()`
`boolean`
`removeSession(InternalSession session)`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.server.ITopic

`getID`

## Method Details

### getManager

InternalTopicManager getManager()

Specified by:
  `getManager` in interface `ITopic`

### containsSession

boolean containsSession(InternalSession session)

### getSessions

InternalSession[] getSessions()

Specified by:
  `getSessions` in interface `ITopic`

### addSession

InternalSession[] addSession(InternalSession session)

### removeSession

boolean removeSession(InternalSession session)